#!/usr/bin/perl

#
# a semi linux alternative for lsscsi+sg_inq on a SUN platform
#
use strict;
use Data::Dumper;

use FindBin;
use lib "$FindBin::Bin/lib";
use lib "$FindBin::Bin/etc";

# systemd libraries
use common;
use config;
use SunDiskInfo;

$cfg{'verbose'} = 1;

foreach my $device (glob "/dev/rdsk/*s2")
{
	my %device_info = sun_disk_info($device);
	#print Dumper \%device_info;

	if ( exists($device_info{'lun'}) )
	{
		printf("%s LUN:%s Product:%s Vendor:%s SN:%s Size:%d GB Port:%s\n",
			$device,
			$device_info{'lun'},
			$device_info{'inquiry-product-id'},
			$device_info{'inquiry-vendor-id'},
			$device_info{'inquiry-serial-no'},
			$device_info{'disk_size_gb'},
			$device_info{'target-port'});
	}
}

