#!/bin/sh

#
# execute an eql_luncopy job
#
ROOT=$(dirname $0)

ddless_filter=$1
if [ -z "$ddless_filter" ]; then
	echo $0 ddless_filter
	exit 1
fi

#
# ensure the network stack is optimized
#
$ROOT/ndd.sh

#
# invoke eql_luncopy
#
joblog="/tmp/luncopy_$$.log"
date
echo "ddless_filter=$ddless_filter"
time $ROOT/eql_luncopy.plx -f $ddless_filter > $joblog
date

errs=$(cat $joblog | grep 'err>')

if [ -n "$errs" ]; then
	echo
	echo "--err output--"
	echo "$errs"
	echo
fi

echo
echo "--job output--"
cat $joblog
echo

rm $joblog

