#!/bin/sh

#
# execute a snapcheck job
#
ROOT=$(dirname $0)

STAMP=$(date +%F_%T)

date > $ROOT/log/snapcheck.log
	 $ROOT/snapcheck.plx -o >> $ROOT/log/snapcheck.log 2>&1
time $ROOT/snapcheck.plx -d >> $ROOT/log/snapcheck.log 2>&1
date >> $ROOT/log/snapcheck.log

errs=$(cat $ROOT/log/snapcheck.log | grep 'err>')

if [ -n "$errs" ]; then
	echo
	echo "--err output--"
	echo "$errs"
	echo
fi

out=$(cat $ROOT/log/snapcheck.log | grep 'RESULT>')
echo
echo "--job output--"
echo "$out"
echo

#
# make log history
#
if [ ! -d $ROOT/log/snapcheck.history ]; then
	mkdir $ROOT/log/snapcheck.history
fi
cp $ROOT/log/snapcheck.log $ROOT/log/snapcheck.history/snapcheck_$STAMP.log

