/*
 * obtain disk media info
 *
 * by Steffen Plotner, 2010
 */
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <strings.h>
#include <unistd.h>
#include <sys/dkio.h>
#include <fcntl.h>

int main(int argc, char *argv[])
{
	char *device;
	struct dk_minfo		disk_info;
	int fd;
	diskaddr_t disk_size_bytes;

	if ( argc != 2 )
	{
		printf("usage: disk_media_info device\n");
		exit(1);
	}
	device = argv[1];

	if ( (fd=open(device,O_RDONLY|O_LARGEFILE)) == -1 )
	{
		printf("open: %d, %s\n", errno, strerror(errno));
		exit(1);
	}

	if ((ioctl(fd, DKIOCGMEDIAINFO, (caddr_t)&disk_info)) == -1)
	{
		printf("ioctl DKIOCGMEDIAINFO: %d, %s\n", errno, strerror(errno));
		exit(1);
	}
	
	printf("dki_lbsize\t%u\n", disk_info.dki_lbsize);
	printf("dki_capacity\t%llu\n", disk_info.dki_capacity);

	disk_size_bytes = disk_info.dki_lbsize * disk_info.dki_capacity;
	
	printf("disk_bytes\t%llu\n", disk_size_bytes);
	exit(0);
}
