#!/bin/sh

#
# sync scripts and code among a set of hosts
# keep log and state files local to each host
#
# Steffen Plotner, 2009
#

ROOT="/root/santools"
SLAVES='fqdn2'

#
# sync files (exclude yourself)
#
for host in $SLAVES; do
	rsync -avrR \
		--delete \
		--files-from=$ROOT/etc/sync_include.conf \
		--exclude-from=$ROOT/etc/sync_exclude.conf \
		/ $host:/
done

HOSTS='fqdn1 fqdn2'
for host in $HOSTS; do
	ssh $host "$ROOT/cron_update.plx"
	ssh $host "$ROOT/sync_host.sh"
done
