#
# tkzfs config
#
package config;
use strict;
require Exporter;

use Data::Dumper;
use File::Basename;
use Sys::Hostname;

my $ROOT = dirname($0);

our @ISA = qw(Exporter);
our @EXPORT = qw(
	%cfg
	);

our %cfg = (
	#
	# the application's root directory
	#
	'root_dir' => $ROOT,

	#
	# local version
	#
	'version' => 'tkzfs-20090818',

	#
	# currently known repositories
	#
	'repositories' =>
	{
		'zfs-archive1' =>
		{
			'comment' => 'repo-A',
			'enabled' => 1,
			'iscsitadm_portalgrp' => '1',
			'iscsi_target_ip' => 'x.x.x.x',
		},
		'zfs-archive2' =>
		{
			'comment' => 'repo-B',
			'enabled' => 1,
			'iscsitadm_portalgrp' => '1',
			'iscsi_target_ip' => 'x.x.x.x',
		},
	},

	#
	# OS dependent settings
	#
	'os' =>
	{
		'MSWin32' =>
		{
			'ssh' => "$ROOT/win32/plink -2 -i $ROOT/win32/zfs_snap_id_rsa root\@",
			'mapclone' => 1,
			'qla_cmd' => '"C:\Program Files\QLogic Corporation\SANsurferiCLI\iscli"',
		},
		'solaris' =>
		{
			'ssh' => "ssh root\@",
			'mapclone' => 0,		# not implemented
		},
		'linux' =>
		{
			'ssh' => "ssh root\@",
			'mapclone' => 1,
		},
	},

	#
	# host dependent settings
	#
	'host' =>
	{
		'zfs-archive1' =>
		{
		},

		'zfs-archive2' =>
		{
		},

		'host-win' =>
		{
			'zfsrepo_iscsitadm_initiator' => 'host-win.iscsi',
			'iscsi_hba' => 'ms_iscsi',
		},

		'host-qla' =>
		{
			'zfsrepo_iscsitadm_initiator' => 'host-qla.iscsi',
			'iscsi_hba' => 'qla_iscsi',
			'iscsi_hba_instance' => '0',
		},

		'host-linux' =>
		{
			'zfsrepo_iscsitadm_initiator' => 'host-linux.iscsi',
			'iscsi_hba' => 'open_iscsi',
		},
	},
	
);

#print Dumper \%cfg;
