#
# tkzfs windows platform code
#
package tkzfsutil;
use strict;
require Exporter;

our @ISA = qw(Exporter);
our @EXPORT = qw(
	logger_init
	logger
	cmd_exec
	);

use FindBin;
use lib "$FindBin::Bin";
use config;

#-------------------------------------------------------------------------------
# gui logger
#-------------------------------------------------------------------------------
my $wtxt_logger;
my $w_main;

sub logger_init
{
	my($wmain, $wtxt) = @_;
	
	$wtxt_logger = $wtxt;
	$w_main = $wmain;
}

sub logger
{
	my($msg) = @_;

	#
	# insert text and bring the view to the end of the document
	#
	if ( defined($wtxt_logger) )
	{
		$wtxt_logger->insert('end',"$msg\n");
		$wtxt_logger->see('end');
		
		if ( $msg =~ /^(.*?)_err>(.*)$/i )
		{
			my $title = $1;
			my $message = $2;
			
			$w_main->messageBox(
				-message => $message,
				-title => $title,
				-type => "Ok",
			);
		}
		
	}	
	else
	{
		print "$msg\n";
	}

	#
	# TODO: is that needed?
	#
	#if ( $w_main_ready )
	#{
	if ( defined($w_main) )
	{
		$w_main->update();
	}
	#}
}

#-------------------------------------------------------------------------------
# cmd exec with logging
#-------------------------------------------------------------------------------
sub cmd_exec
{
	my($cmd) = @_;
	
	logger("exec> cmd=$cmd");

	$w_main->Busy(-recurse=>1);
	my $out = `$cmd`;
	$w_main->Unbusy();

	chomp($out);
	if ( $out eq '' )
	{
		$out = undef;
	}
	if ( defined($out) )
	{
		logger("exec> out=$out");
	}
	return $out;
}

1;